Subject: Code for both Qt4 and Qt5

From: Michael DePaulo <[email-masked]>
Date: Tue, 12 May 2015 06:48:36 -0400

As mentioned here, code can be ported to Qt5 while retaining
compatibility with Qt4:
http://blog.qt.io/blog/2012/12/19/qt-5-0/

If/when we do port to Qt5, we should maintain compatibility with Qt4.

For example, RHEL 7 & CentOS 7 include Qt4, but not Qt5. Qt5 is
available from EPEL, but EPEL makes Qt5 follow EPEL's rolling-release
model. So to reduce risk to our users, we should keep the EL7 builds
on Qt4.